Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.trace
Class XQueryTraceListener

    java.lang.Object
      net.sf.saxon.trace.AbstractTraceListener
          net.sf.saxon.trace.XQueryTraceListener

All Implemented Interfaces:
  EventListener, TraceListener

    public class XQueryTraceListener

extends AbstractTraceListener

A Simple trace listener for XQuery that writes messages (by default) to System.err

Constructor Summary
`XQueryTraceListener()`

Method Summary

Methods inherited from class net.sf.saxon.trace.AbstractTraceListener
`close, endCurrentItem, enter, escape, getOutputDestination, leave, open, setOutputDestination, startCurrentItem`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XQueryTraceListener

    public XQueryTraceListener()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.